API reference
Get a published version
One published shortlist version exactly as the client sees it: who is on it, best first, with title, company, place, LinkedIn address and why each is on it. Frozen when it was published: later changes to the shortlist show in the next version, not this one. No scores, notes or contact details: only what the client was given. Does not use credits.
Needs scope shortlists:read.
GET
/
projects
/
{projectId}
/
shortlist
/
versions
/
{versionId}
Get a published version
curl --request GET \
--url https://api.revcenter.ai/v1/projects/{projectId}/shortlist/versions/{versionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revcenter.ai/v1/projects/{projectId}/shortlist/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/projects/{projectId}/shortlist/versions/{versionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "9a7c5e3b-1d2f-4a6b-8c0d-2e4f6a8b0c13",
"project_id": "6f1c2a0e-3b7d-4c1e-9a52-0d4e8b7c1a11",
"version": 2,
"published_at": "2026-10-18T15:20:04.000Z",
"snapshot_hash": "5f0c9d2e…",
"members": 1,
"candidates": [
{
"rank": 1,
"id": "3c2b1a09-8f7e-4d6c-9b5a-4e3d2c1b0a99",
"name": "Dana Whitfield",
"title": "Plant Controller",
"company": "Garden State Foods",
"location": "Cherry Hill, NJ",
"linkedin_url": "https://www.linkedin.com/in/example",
"why": [
"Qualified match"
],
"tier": "tier1",
"gaps": []
}
]
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}⌘I
Get a published version
curl --request GET \
--url https://api.revcenter.ai/v1/projects/{projectId}/shortlist/versions/{versionId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revcenter.ai/v1/projects/{projectId}/shortlist/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/projects/{projectId}/shortlist/versions/{versionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "9a7c5e3b-1d2f-4a6b-8c0d-2e4f6a8b0c13",
"project_id": "6f1c2a0e-3b7d-4c1e-9a52-0d4e8b7c1a11",
"version": 2,
"published_at": "2026-10-18T15:20:04.000Z",
"snapshot_hash": "5f0c9d2e…",
"members": 1,
"candidates": [
{
"rank": 1,
"id": "3c2b1a09-8f7e-4d6c-9b5a-4e3d2c1b0a99",
"name": "Dana Whitfield",
"title": "Plant Controller",
"company": "Garden State Foods",
"location": "Cherry Hill, NJ",
"linkedin_url": "https://www.linkedin.com/in/example",
"why": [
"Qualified match"
],
"tier": "tier1",
"gaps": []
}
]
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}